import * as __WEBPACK_EXTERNAL_MODULE_antd__ from "antd";
const loading_rslib_entry_loading = async function() {
    let title = arguments.length > 0 && void 0 !== arguments[0] ? arguments[0] : 'Loading...', processor = arguments.length > 1 ? arguments[1] : void 0;
    let hide = null;
    const loading = setTimeout(()=>{
        hide = __WEBPACK_EXTERNAL_MODULE_antd__.message.loading(title);
    }, 100);
    try {
        return await processor();
    } finally{
        null == hide || hide();
        clearTimeout(loading);
    }
};
export { loading_rslib_entry_loading as loading };
